import request from '@/utils/http'
// 首页服务商接口
export function getStatisticsKpiByMonth(data){
  return request({
    url: '/supplier/supplierKPI/querySupplierStatisticsKpiByMonth',
    method:'POST',
    // contentType: 'application/json',
    data
  })
}
//服务商kpi
export function getStatisticsKpi(data){
  return request({
    url: '/supplier/supplierKPI/querySupplierStatisticsKpi',
    method:'POST',
    // contentType: 'application/json',
    data
  })
}

//  司机Kpi
export function getDriverStatisticsKpi(data){
  return request({
    url: '/supplier/supplierKPI/querySupplierDriverStatisticsKpi',
    method:'POST',
    // contentType: 'application/json',
    data
  })
}
export function querySupplierDriverStatisticsScore(data){
  return request({
    url: '/supplier/supplierKPI/querySupplierDriverStatisticsScore',
    method:'POST',
    // contentType: 'application/json',
    data
  })
}
//   各种详情数据
export function getKpiDetailsData(data){
  return request({
    url: '/supplier/supplierKPI/querySupplierKpiDetailsData',
    method:'POST',
    // contentType: 'application/json',
    data
  })
}
// 获取近12个月的服务商数据
export function getRecentSupplierKpi(data){
  return request({
    url: '/supplier/supplierKPI/queryRecentSupplierStatisticsKpi',
    method:'POST',
    // contentType: 'application/json',
    data
  })
}
// 司机分数详情
export function driverScoreDetail(data){
  return request({
    url: '/supplier/supplierKPI/querySupplierDriverStatisticsScore',
    method:'POST',
    // contentType: 'application/json',
    data
  })
}
// 关键词搜索服务商名称
export function getSupplierId(key) {
  return request({
    url: '/supplier/select/supplier',
    method: 'GET',
    params: {
      key: key ,
    }
  });
}
// supplier/select/driver 关键词搜索司机名称
export function getDriverName(key) {
  return request({
    url: '/supplier/select/driver',
    method: 'GET',
    params: {
      key: key ,
    }
  });
}

export function getVehicleName(key) {
  return request({
    url: '/supplier/select/vehicle',
    method: 'GET',
    params: {
      key: key ,
    }
  });
}

// 车辆 总览
export function vehicleTotalInfo(data) {
  return request({
    url: '/supplier/supplierKPI/querySupplierVehicleStatisticsKpi',
    method: 'POST',
    data
  });
}

// 服务商维度查询车辆
export function vehicleInfoBySupplier(data) {
  return request({
    url: '/supplier/supplierKPI/querySupplierStatisticsKpiBySupplier',
    method: 'POST',
    data
  });
}

// 车辆维度查询车辆
export function vehicleInfoByVehicle(data) {
  return request({
    url: '/supplier/supplierKPI/querySupplierVehicleKpi',
    method: 'POST',
    data
  });
}
